在OSX狮子上安装autoreconf?

我试图重新安装ruby1.9.3的补丁,将允许我使用ruby-debug 。

当按照指示和运行

rvm reinstall 1.9.3 --patch debug --force-autoconf 

它贯穿并且在应用贴片吐出之后:

rvm需要autoreconf来安装select的ruby解释器,但是在PATH中找不到autoreconf。

不幸的是,如何在OSX Lion上安装autoreconf(或者有关它的更多信息)似乎是死路一条。

6 Solutions collect form web for “在OSX狮子上安装autoreconf?”

如果您正在使用自制软件,请尝试

 brew install automake 

还应该安装autoconf并允许rvm完成安装。

如果你想使用macports而不是自制软件,你可以这样做:

 sudo port install automake autoconf libtool 

我有同样的问题,这解决了我的问题。

小老post,但仍然想回答,以便它会帮助别人。
通过.pkg file from MacPort下载.pkg file from MacPort并安装它完成了我的诡计。

如果您使用的是brew ,那么autoreconf工具是autoconf软件包的一部分,所以请通过以下方式进行安装:

 brew install autoconf 

如果问题仍然存在,请考虑reinstallreinstall link 。 使用locate autoreconf找出它的位置,同时检查/usr/local/bin/autoreconf存在(并链接到正确的位置),并且/etc/paths文件中添加了/usr/local/binpath。

我试图通过以下方式安装autoconf:

 sudo port install automake autoconf libtool. 

我无法安装。

最后这为我工作。

我解决了我的autoreconf问题添加到我的shell的path:

 sudo pico /etc/paths 

然后我添加了该行

 /sw/bin 

在那里我find了autoreconf和autoconf文件并保存了所有内容。

从那以后,我可以使用autoreconf没有任何问题。

  • ZSH抱怨RVM __rvm_cleanse_variables:找不到函数定义文件
  • Rails不断告诉我,它目前没有安装
  • rbenv,rvm和chruby有什么区别?
  • 当我使用Bundler时,为什么我应该关心RVM的Gemsetfunction?
  • 如何使用RVM更新Ruby解释器?
  • 如何使用rvm将ruby1.9.2-p0升级到最新的补丁级别?
  • 为什么我不能使用RVM在Lion上安装Rails?
  • Xcode - configure:error:在$ PATH中找不到可接受的C编译器
  • Ruby,RVM,LLVM和MySQL
  • 如何在RVM安装过程中解决“gpg:command not found”错误?
  • 导轨控制台,RVM和readline的问题